zenilib: FTC_SBitRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
FTC_SBitRec_ Struct Reference

`#include <ftcache.h>`

## Public Attributes

FT_Byte * | buffer
FT_Byte | format
FT_Byte | height
FT_Char | left
FT_Byte | max_grays
FT_Short | pitch
FT_Char | top
FT_Byte | width
FT_Char | xadvance
FT_Char | yadvance

## Detailed Description

Definition at line 909 of file ftcache.h.

## Member Data Documentation

FT_Byte* FTC_SBitRec_::buffer

Definition at line 922 of file ftcache.h.

Referenced by ftc_sbit_copy_bitmap(), ftc_snode_compare(), ftc_snode_free(), ftc_snode_load(), and ftc_snode_weight().

FT_Byte FTC_SBitRec_::format

Definition at line 916 of file ftcache.h.

Referenced by sources.SourceProcessor::add_block_lines(), sources.SourceBlock::dump(), ftc_snode_load(), sources.SourceProcessor::parse_file(), sources.SourceProcessor::process_normal_line(), and sources.SourceProcessor::reset().

FT_Byte FTC_SBitRec_::height

Definition at line 912 of file ftcache.h.

Referenced by ftc_snode_load(), and ftc_snode_weight().

FT_Char FTC_SBitRec_::left

Definition at line 913 of file ftcache.h.

Referenced by ftc_snode_load().

FT_Byte FTC_SBitRec_::max_grays

Definition at line 917 of file ftcache.h.

Referenced by ftc_snode_load().

FT_Short FTC_SBitRec_::pitch

Definition at line 918 of file ftcache.h.

Referenced by ftc_snode_load(), and ftc_snode_weight().

FT_Char FTC_SBitRec_::top

Definition at line 914 of file ftcache.h.

Referenced by ftc_snode_load().

FT_Byte FTC_SBitRec_::width

Definition at line 911 of file ftcache.h.

Referenced by ftc_snode_compare(), ftc_snode_load(), and FTC_SNode_New().

FT_Char FTC_SBitRec_::xadvance

Definition at line 919 of file ftcache.h.

Referenced by ftc_snode_load().

FT_Char FTC_SBitRec_::yadvance

Definition at line 920 of file ftcache.h.

Referenced by ftc_snode_load().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/ftcache.h